package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.elasticsearch.UserGrowthLog;
import org.springframework.data.domain.Page;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/16
 */
public interface IUserGrowthLogService {

    Page<UserGrowthLog> queryBySecretPhone(String secretPhone, Integer page, Integer size);

    Page<UserGrowthLog> queryBySecretPhoneAndIncrease(String secretPhone, boolean increase, Integer page, Integer size);

    UserGrowthLog getLastLog(String secretPhone);

    Integer getPointBalance(String secretPhone);

    boolean addLog(UserGrowthLog log);
}
